Std MergeProjects/ru: Difference between revisions

From FreeCAD Documentation
m (FuzzyBot moved page Std MergeProject/ru to Std MergeProjects/ru without leaving a redirect: Part of translatable page "Std MergeProject")
(Updating to match new version of source page)
 
(23 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
|[[Std_Export/ru|Команда "Экспортировать..."]]
|[[Std_ProjectInfo/ru|Команда "Информация о проекте..."]]
|[[Std_File_Menu/ru|Меню "Файл"]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
<!--Empty=1 to suppress icon-->
{{GuiCommand/ru|Name=Std MergeProject|Name/ru=Std MergeProject|Workbenches=All|MenuLocation=[[Std File Menu/ru|Файл]] → Объединить проект |Shortcut=|SeeAlso=}}
{{GuiCommand/ru
|Name=Std MergeProjects
|Name/ru=Std MergeProjects
|MenuLocation=Файл → Объединить проект
|Workbenches=All
}}
</div>
</div>


==Description==
<span id="Description"></span>
==Описание==

Команда "Объединить проект..." добавляет содержимое FreeCAD файла в текущий документ.

<span id="Usage"></span>
==Применение==

# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
# Select a FreeCAD file in the dialog box.
# Press the {{Button|Open}} button.

<span id="Options"></span>
==Опции==

* Нажмите {{KEY|Esc}} или кнопку {{Button|Отмена}}, чтобы отменить выполнение команды.

<span id="Notes"></span>
==Примечания==

* A project cannot be merged with itself, selecting the current file is not allowed.
* FreeCAD will automatically change the internal names and, depending on the [[Preferences_Editor#Document|preferences]], labels of objects to avoid name conflicts.

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


To merge a project use the {{Incode|mergeProject}} method of the document object.
[[Std MergeProject|MergeProject]] takes the contents of a FreeCAD project and merges them into the currently open one.


{{Code|code=
==How to use==
import FreeCAD


FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
# Start with a currently open document.
}}
# Then go to the menu, {{MenuCommand|File → Merge project}}.
# A dialog will pop up asking you for the filename and location of the FreeCAD project to be merged into the current one.


===Limitations===


{{Docnav/ru
Since the names of the objects in the merged project will be changed to match the scheme in the existing project, links to external geometry may get lost.
|[[Std_Export/ru|Команда "Экспортировать..."]]
|[[Std_ProjectInfo/ru|Команда "Информация о проекте..."]]
|[[Std_File_Menu/ru|Меню "Файл"]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}


{{Std_Base_navi{{#translation:}}}}
{{Std Base navi}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 11:50, 21 April 2024

Std MergeProjects

Системное название
Std MergeProjects
Расположение в меню
Файл → Объединить проект
Верстаки
All
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Описание

Команда "Объединить проект..." добавляет содержимое FreeCAD файла в текущий документ.

Применение

  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Опции

  • Нажмите Esc или кнопку Отмена, чтобы отменить выполнение команды.

Примечания

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Scripting

See also: FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")